function evaluate_all
    datasets = {...
            'brain',...      
            'color-seg-n4',...   
            'correlation-clustering',...    
            'geo-surf-3',...    
            'inpainting-n4',...    
            'cell-tracking',...    
            'mrf-inpainting',...      
            'object-seg',...             
            'seg-3d',...  
            'color-seg',...    
            'color-seg-n8',...    
            'dtf-chinesechar',...           
            'geo-surf-7',...    
            'inpainting-n8',...    
            'matching',...       
            'mrf-photomontage',...    
            'mrf-stereo',...          
            'scene-decomposition',...   
            'image-seg',...  
            };
    global benchmarktime; 
    global numTotalInstances;
    global numTotalExperiments;
    benchmarktime       = 0; 
    numTotalInstances   = 0;
    numTotalExperiments = 0;
    for i=1:numel(datasets)
        disp(['Process ',datasets{i},'...']);
        %evaluate(datasets{i},'latextables','runtimeplots','htmltables'); 
        %evaluate(datasets{i},'json'); 
        evaluate(datasets{i},'latextables');
    end
    disp(['Number of instances:   ',num2str(numTotalInstances,'%20.2f')]); 
    disp(['Number of experiments: ',num2str(numTotalExperiments,'%20.2f')]); 
    disp(['Total runtime:         ',num2str(benchmarktime,'%20.2f')]);    
end